Gem trouble

I’ve been trying to use gems to instal rucola, and things aren’t
going too well.

I’m using os x 10.4, and Ruby 1.8.2 on a power PC machine. My gem
version is 0.9.5

I was getting this segmentation fault:

/usr/lib/ruby/site_ruby/1.8/rubygems/package.rb:620: [BUG]
Segmentation fault
ruby 1.8.2 (2004-12-25) [powerpc-darwin8.0]

I checked the line mentioned, and found this:

# we discovered errors occurred with versions as late as  
  # commented out while we evaluate this patch.
  entry.read(10) # skip the gzip header
  zis = Zlib::Inflate.new(-Zlib::MAX_WBITS)
  is = StringIO.new(zis.inflate(entry.read))
  # zis = Zlib::GzipReader.new entry
  # dis = zis.read
  # is = StringIO.new(dis)
ensure
  zis.finish if zis
end

So I swapped out the patch and reverted to the earlier version. This
seems to have worked around the SEG fault, but now I’m getting this
instead:

ERROR: While executing gem … (TypeError)
cannot convert nil into Array

This is all the errors / diagnostic information I get with the -V
(verbose) option.

Can anyone adviseon getting everything working smoothly again? My
apologies if I have left out critical and obvious diagnostic
material. I’ve just done a disk verify, and that’s also come up clean
(not sure how thorough the Mac “Disk Utility” is).

Thanks very much,
Benjohn

On 9 Dec 2007, at 21:45, Benjohn B. wrote:

I’ve been trying to use gems to instal rucola, and things aren’t
going too well.
snip
Can anyone adviseon getting everything working smoothly again? My
apologies if I have left out critical and obvious diagnostic
material. I’ve just done a disk verify, and that’s also come up
clean (not sure how thorough the Mac “Disk Utility” is).

One useful thing - this seems to happen for other gems too:

benjohn # sudo gem instal sqlite
Password:
Updating metadata for 9 gems from http://gems.rubyforge.org

complete
ERROR: While executing gem … (TypeError)
cannot convert nil into Array
benjohn #

or

benjohn # sudo gem instal nitro -V
Installing gem facets-1.4.5
ERROR: While executing gem … (TypeError)
cannot convert nil into Array
benjohn #

Thanks,
Benjohn

On Dec 9, 2007, at 13:45 PM, Benjohn B. wrote:

This is all the errors / diagnostic information I get with the -V
(verbose) option.

Can anyone adviseon getting everything working smoothly again? My
apologies if I have left out critical and obvious diagnostic
material. I’ve just done a disk verify, and that’s also come up
clean (not sure how thorough the Mac “Disk Utility” is).

Try:

gem --debug install …

On 11 Dec 2007, at 00:47, Eric H. wrote:

Try:

gem --debug install …

Thanks Eric!

I was going to try this when I got back from work, but work can wait
a few more minutes, I’m sure :slight_smile:

Here’s what it says:

ERROR: While executing gem … (TypeError)
satisfied_by?' /usr/lib/ruby/site_ruby/1.8/rubygems/ install_command.rb:65:inexecute’
/usr/lib/ruby/site_ruby/1.8/rubygems/command.rb:136:in
invoke' /usr/lib/ruby/site_ruby/1.8/rubygems/command_manager.rb: 104:inprocess_args’
/usr/lib/ruby/site_ruby/1.8/rubygems/command_manager.rb:
74:in run' /usr/lib/ruby/site_ruby/1.8/rubygems/gem_runner.rb:39:inrun’
/usr/bin/gem:22
benjohn #

So, some worrying looking stuff at the start that it gets past, and
then perhaps no gem matches the version requirements that it’s got at
a later point? I’ll dig deeper tonight if no one recognises this one
and comes back with a suggestion.

Thanks again!

Cheers,
Benjohn

This forum is not affiliated to the Ruby language, Ruby on Rails framework, nor any Ruby applications discussed here.

| Privacy Policy | Terms of Service | Remote Ruby Jobs